Loading...
Searching...
No Matches
EAttributes.h File Reference

Go to the source code of this file.

## Namespaces

namespace | irr
| Everything in the Irrlicht Engine can be found in this namespace.
namespace | irr::io
| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...

## Enumerations

enum

irr::io::E_ATTRIBUTE_TYPE {
irr::io::EAT_INT = 0 , irr::io::EAT_FLOAT , irr::io::EAT_STRING , irr::io::EAT_BOOL ,
irr::io::EAT_ENUM , irr::io::EAT_COLOR , irr::io::EAT_COLORF , irr::io::EAT_VECTOR3D ,
irr::io::EAT_POSITION2D , irr::io::EAT_VECTOR2D , irr::io::EAT_RECT , irr::io::EAT_MATRIX ,
irr::io::EAT_QUATERNION , irr::io::EAT_BBOX , irr::io::EAT_PLANE , irr::io::EAT_TRIANGLE3D ,
irr::io::EAT_LINE2D , irr::io::EAT_LINE3D , irr::io::EAT_STRINGWARRAY , irr::io::EAT_FLOATARRAY ,
irr::io::EAT_INTARRAY , irr::io::EAT_BINARY , irr::io::EAT_TEXTURE , irr::io::EAT_USER_POINTER ,
irr::io::EAT_DIMENSION2D , irr::io::EAT_COUNT , irr::io::EAT_UNKNOWN
}

| Types of attributes available for IAttributes. More...

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0